set dfields "d1, d2, d3, d4, d5,"
set pos1 0
set pos2 [string first "," $dfields]
while {$pos2 > 0} {
  set dfield [string range $dfields $pos1 [expr $pos2 - 1]]
  set dfield [string trim $dfield]
  puts "$dfield"
  set pos1 [expr $pos2 + 1]
  set pos2 [string first "," $dfields $pos1]
}
